<script type="text/javascript">

	$('#gastosenefectivo').change(function(){
		var cobrado = $('#cobradoefectivo').val();
		var gastos = $(this).val();
		var contrato = $(this).attr('data-contrato');
		var url = $(this).attr('data-url');
		if (isNaN(gastos)) gastos = 0;
		var entregar = cobrado - gastos;
		$('#entregaOficina').val(entregar);
		$.ajax({
			url: url+"/servicio/savegastos",
			type: "POST",
			dataType: "json",
			cache: "false",
			data: {
				contrato: contrato,
				gastos: gastos
			},
			success: function(msg){
		        alert('wow' + msg);
		    }
			
		})
	})
	
	$("#gastosenefectivo").focus(function(){
		$(this).select();
	});
	
	$('#gastosenefectivo').change();

	$('#gastosenefectivoObservaciones').change(function(){
		var observaciones = $(this).val();
		var contrato = $(this).attr('data-contrato');
		var url = $(this).attr('data-url');
		$.ajax({
			url: url+"/servicio/savegastosobservaciones",
			type: "POST",
			dataType: "json",
			cache: "false",
			data: {
				contrato: contrato,
				observaciones: observaciones
			},
			success: function(msg){
		        alert('wow' + msg);
		    }
			
		})
	})
	
<!--

//-->
</script>
<section class="container-fluid">
<div class="row">
	<div class="col-xs-12">
		<div class="pull-left">
			<h4 style="margin:10px 0px 5px 0px"><?php echo $this->titulo?></h4>
		</div>
	</div>
</div>
<?php
foreach ($this->lista_viajes as $key=> $viaje){

	$importe = $viaje['personasImporte']+$viaje['paquetesImporte'];
	$cobrado = 0;
	$formaPago = '';
	if (isset($this->cobros[$viaje['contacto'].'-'.$this->ida]['importe'])){
		$cobrado = $this->cobros[$viaje['contacto'].'-'.$this->ida]['importe'];
		$formaPago = $this->cobros[$viaje['contacto'].'-'.$this->ida]['formaPago'];
		switch($formaPago){
			case Formapago::CHEQUE:
				$formaPago = 'CHEQUE';
				break;
			case Formapago::EFECTIVO:
				$formaPago = 'EFECTIVO';
				break;
		}
	}
	$pendienteCobrar = $importe - $cobrado;
	$estiloServicio = 'color_futuro';
	if ($viaje['destinoFechaDejado']) {
		$estiloServicio = 'color_finalizado';
	} elseif ($viaje['origenFechaRecogido']){
		$estiloServicio = 'color_actual';
	}
	if ($viaje['personasCantidad']>0) { 
		$estiloPersona = 'tiene_paq_pax';
		$textoPersona = $viaje['personasCantidad'].'<span>Pax</span>';
	} else {
		$estiloPersona = $estiloServicio;
		$textoPersona = '';
	}
	if ($viaje['paquetesCantidad']>0) {
		$estiloPaquete = 'tiene_paq_pax';
		$textoPaquete = $viaje['paquetesCantidad'].'<span>Paq</span>';
	} else { 
		$estiloPaquete = $estiloServicio;
		$textoPaquete = '';
	}
	$pasajeroNombre = $viaje['pasajeroNombre'];
	if (!$pasajeroNombre)
		$pasajeroNombre = $viaje['pasajeroNombreSinPotencial']
	
	
	
	?>
<div class="row viaje_resumen <?php echo $estiloServicio;?> separacion_viaje">
	<div class="col-xs-1 <?php echo $estiloPersona;?>"><?php echo $textoPersona; ?></div>
	
	<div class="col-xs-10 ">
		<a style="color:black" href="<?php echo BASEURL;?>/viaje/editar/contrato/<?php echo $viaje['contrato']?>/ida/<?php echo $viaje['ida']?>/linea/<?php echo $viaje['linea']?>">
			&nbsp;<?php echo $pasajeroNombre;?>
			<?php if ($viaje['nombreComercial']) echo '<br/>&nbsp;'.$viaje['nombreComercial']?>
			&nbsp;<?php if ($importe>0 && $this->verCobros) echo '('.$importe.' &euro;)'; ?>
			<div>
				<div style="float:left;width:45%">
				<?php echo $viaje['origenHoraPrevista'];?>
				</div>
				<?php if ($this->verCobros) { ?>
				<div style="float:right;width:45%;text-align:right">
				&nbsp;<?php if ($pendienteCobrar>0) printf('<span class="pendiente_pago">PEND: %s &euro;</span>', $pendienteCobrar); 
							else printf('PAG %s', $formaPago);
					  ?>
				</div>
				<?php } ?>
			</div>	
			
		</a>	
	</div>
	
	<div class="col-xs-1 <?php echo $estiloPaquete;?>" ><?php echo $textoPaquete;?></div>				
</div>
<?php }?>
</section>

